:root {
    --primary1: #3031F7;
    --primary2: #7C39E9;
    --primary3: #9F64D8;
    --primary4: #EA0A81;
    --primary5: #F06697;
    --primary6: #0B50A1;
    --primary7: #007EC6;
    --primary8: #EC7119;
    --primary9: #FEC90D;

    --dark: #00016A;
    --secondary1: #5A6B83;
    --secondary2: #8793AE;
    --light: #8793AE;
    --danger: #9B4141;
    --accent1: #081722;
    --accent2: #B6935B;

    --text100: #081722;
    --text80: #36434E;
    --text60: #6A747F;
    --text40: #99A2AC;
    --text20: #D6DCE6;
    --text0: #ffffff;

}

.bg-image-auth{
    min-height: 100vh;
    background-image: url("images/bg-auth.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
}
.btn-option-correct{
    background: #26C000;
    color: var(--text0);
}
.btn-option-wrong{
    background: #C80909;
    color: var(--text0) !important;
}

.no-hover:hover,
.no-click:active {
    outline: none !important;
    cursor: default;
}

.btn-option-selected{
    background: var(--primary7);
    color: var(--text0) !important;
}
.btn-option-selected:hover{
    background: var(--primary6);
    color: var(--text0);
}
.btn-option-pembahasan{
    background: rgba(238, 238, 238, 1);
    color: var(--text100);
}

.btn-option{
    background: rgba(238, 238, 238, 1);
    color: var(--text100);
}
.btn-option:hover{
    background: var(--primary6);
    color: var(--text0) !important;
}


*{
    font-family: 'Poppins' !important;
}


.navbar{
    background: var(--primary6)!important;
    color: black !important;
}

.nav ul li a,
.nav ul li a:after,
.nav ul li a:before {
  transition: all .5s;
}
.nav ul {
    list-style: none;
    text-align: center;
    margin-bottom: auto;
  }
.nav ul li {
    display: inline-block;
}
.nav ul li a{
  position: relative;
  color: black !important;
  font-weight: 500;
}
.nav ul li a:after{
  position: absolute;
  bottom: -6px;
  left: 0;
  right: 0;
  margin: auto;
  width: 0%;
  content: '.';
  color: transparent;
  background: linear-gradient(90deg, #3031F7 28.47%, #7C39E9 100%);
border-radius: 2px;
  height: 3.5px;
}

.nav ul li a:hover:after  {

  width: 100%;
}

.nav ul li a{
    transition: .8s;
}


.btn{
    border-radius: 25px !important;
}

.margin-top{
    margin-top: 4rem;

}
.nav-item{
    text-decoration: none;
    color: var(--text0) ;
    padding-left: 0.4rem;
    padding-right: 0.4rem;
}

.nav-item:hover{
    color: var(--text0);
}

.nav-active:before{
    position: absolute;
    bottom: -6px;
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    content: '';
    background: linear-gradient(90deg, #3031F7 28.47%, #7C39E9 100%);
    border-radius: 2px;
    height: 3.5px;
}

.bg-gray{
    background-color: #D9D9D9;
}

.bg-test{
    background-color: #D9D9D9;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.bg-image-test{
    background-image: url("images/1.jpeg");
    background-position: top;
    background-repeat: no-repeat;
    background-size:cover;

    min-height: 100vh;
    display: flex;
    flex-direction: column;
  }

.padding-center{
    padding: 5rem;
}
.btn-shadow{
    box-shadow: 0px 10.4502px 23.2228px -6.96683px #3258A0;
}

.btn-selesai{
    border-radius: 25px;
    background-color:  rgba(38, 192, 0, 1);
    color: white;
}

.btn-primary{
    background-color: var(--primary1);
    border-color: var(--primary1);
}

.btn-primary:hover{
    background-color: var(--primary2);
    border-color: var(--primary2);
}

.text-jumbo{
    display: flex;
    justify-content: flex-end;
    font-size: 65px;
    font-weight: 500;
    color: var(--text0);
    margin-bottom: 0em;
}

.content-view{
    background-color: var(--primary1);
}

.bg-footer{
    background-color: var(--dark);
}
footer {
    margin-top:auto;
  }
.text-info{
    color: var(--primary1);
    font-weight: 500;
    text-decoration: none;
}

.shadow-custom{
    -webkit-box-shadow: 9px 21px 42px -34px rgba(0,0,0,0.75);
    -moz-box-shadow: 9px 21px 42px -34px rgba(0,0,0,0.75);
    box-shadow: 9px 21px 42px -34px rgba(0,0,0,0.75);
}

.btn-outline-primary{

    border-color: var(--primary1);
    color: var(--primary1);
}

.btn-outline-primary:hover{
    border-color: var(--primary1);
    background-color: var(--primary1);
}
.card{
    border-radius: 24px;
}

.card-test{
    border-radius: 13px;
}

.card-test-mobile{
    min-height: 600px;
}
.card-with-hover{
    transition: all .2s ease-in-out;
    color: var(--text100);
}

.card-with-hover:hover{
    transform: scale(1.05);
    color: var(--text60);
}

.card-pembahasan{
   background: #FAFAFA;
   border: 1px solid #EEEEEE;
   border-radius: 15px;
   padding: 1rem;
   margin-top: 1rem;
}
.pembahasan-title{
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    color: #333333;
    margin-bottom: 1rem;

}

.pembahasan-text{
    font-size: 16px;
    line-height: 24px;
}

/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 58px 0 0; /* Height of navbar */
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
    width: 240px;
    z-index: 600;
  }

  @media (max-width: 991.98px) {
    .sidebar {
      width: 100%;
    }
  }
  .sidebar .active {
    border-radius: 5px;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
  }

  .sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: 0.5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
  }

input{
    font-size: 15px !important;
}
.form-control{
    border: 0.580569px solid #C1BBBB;
    border-radius: 25px;
}
table.fixed { table-layout:fixed; }
table.fixed td { overflow: hidden; }
.waves {
    position:relative;
    width: 100%;
    height:15vh;
    margin-bottom:-7px; /*Fix for safari gap*/
    min-height:100px;
    max-height:150px;
}


.background-wave{
    background-color: var(--primary1);
}


.choice-container {
    display: flex;
    width: 100%;
    background: white;
    font-size: 20px;
}


.table, .table-bordered, .border-primary, th, td{
  border: 1px solid var(--text80) !important;
  text-align: center;
  font-weight: bold;
}
.choice-container:hover {

    background-color: white;

}

.choice-hover{
    background-color: white;
    border: 0;
}
.choice-hover:hover{
    background-color: var(--primary7);
    color: white;
}

.choice-prefix {
    padding: 2rem;
    color: white;
}

.choice-text {
    font-size: 25px;
    width: 75px;
    height: 75px;
    margin-bottom: 0;
}
.img-mobile{
    width: 600px;
}
.table{
    padding: 0 !important;
}

.correct {
    background: linear-gradient(32deg, rgba(11, 223, 36) 0%, rgb(41, 232, 111) 100%);
}

.incorrect {
    background: linear-gradient(32deg, rgba(230, 29, 29, 1) 0%, rgb(224, 11, 11, 1) 100%);
}

/* Heads up Display */
#hud {
    display: flex;
    justify-content: space-between;
}

.hud-prefix {
    text-align: center;
    font-size: 2rem;
}

.hud-main-text {
    text-align: center;
}

#progressBar {
    width: 15rem;
    height: 0.8rem;
    border: 0.1rem solid var(--primary1);
    margin-top: 2rem;
    border-radius: 50px;
    overflow: hidden;
}

#progressBarFull {
    height: 100%;
    background: var(--primary1);
    width: 0%;
}


.progress{
    border: 1px solid rgba(128, 128, 128, 0.438);
    border-radius: 10px;
}

.pop-up-ads{
    background:linear-gradient(90deg, #3031F7 28.47%, #7C39E9 100%);
    z-index: 2;
    position: relative;
    border-radius: 15px;
}



.graph {
	margin-bottom:1em;
    font:normal 100%/150% arial,helvetica,sans-serif;
}

.graph caption {
	font:bold 150%/120% arial,helvetica,sans-serif;
	padding-bottom:0.33em;
}

.graph tbody th {
	text-align:right;
}

@supports (display:grid) {

	@media (min-width:32em) {

		.graph {
			display:block;
            width:650px;
            height:300px;
		}

		.graph caption {
			display:block;
		}

		.graph thead {
			display:none;
		}

		.graph tbody {
			position:relative;
			display:grid;
			grid-template-columns:repeat(auto-fit, minmax(2em, 1fr));
			column-gap:3%;
			align-items:end;
			height:100%;
			margin:3em 0 1em 2.8em;
			padding:0 1em;
			border-bottom:2px solid rgba(0,0,0,0.5);
			background:repeating-linear-gradient(
				180deg,
				rgba(170,170,170,0.7) 0,
				rgba(170,170,170,0.7) 1px,
				transparent 1px,
				transparent 20%
			);
		}

		.graph tbody:before,
		.graph tbody:after {
			position:absolute;
			left:-3.2em;
			width:2.8em;
			text-align:right;
			font:bold 80%/120% arial,helvetica,sans-serif;
		}

		.graph tbody:before {
			content:"100%";
			top:-0.6em;
		}

		.graph tbody:after {
			content:"0%";
			bottom:-0.6em;
		}

		.graph tr {
			position:relative;
			display:block;
		}

		.graph tr:hover {
			z-index:999;
		}

		.graph th,
		.graph td {
			display:block;
			text-align:center;
		}

		.graph tbody th {
			position:absolute;
			top:-3em;
			left:0;
			width:100%;
			font-weight:normal;
			text-align:center;
            white-space:nowrap;
			text-indent:0;
			transform:rotate(-45deg);
		}

		.graph tbody th:after {
			content:"";
		}

		.graph td {
			width:100%;
			height:100%;
			background: var(--primary1);
			border-radius:0.5em 0.5em 0 0;
			transition:background 0.5s;
		}

		.graph tr:hover td {
			opacity:0.7;
		}

		.graph td span {
			overflow:hidden;
			position:absolute;
			left:50%;
			top:50%;
			width:0;
			padding:0.5em 0;
			margin:-1em 0 0;
			font:normal 85%/120% arial,helvetica,sans-serif;
/* 			background:white; */
/* 			box-shadow:0 0 0.25em rgba(0,0,0,0.6); */
			font-weight:bold;
			opacity:0;
			transition:opacity 0.5s;
      color:white;
		}

		.toggleGraph:checked + table td span,
		.graph tr:hover td span {
			width:4em;
			margin-left:-2em; /* 1/2 the declared width */
			opacity:1;
		}

	} /* min-width:32em */

} /* grid only */

.add-shadow{
    box-shadow: 0px 8px 24px 0px rgba(0, 1, 106, 0.2);
    transition: 1s;
}

.swiper {
    width: 600px;
    height: 200px;
  }

.swiper-slide{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px !important;
    width: 600px !important;
}

.swiper-pagination-bullet {
    background-color: #000;
  }


.responsive-img{
    border-radius: 25px;
    max-width: 100%;
    width: auto;
    object-fit: cover;
  }

  .button-card-price{
    width: 100%;
    padding: 10px;
    border-radius: 40px;
    border: 2px solid var(--accent1);
    color: var(--accent1);
  }



  .lanjut-test{
    background: linear-gradient(270deg, #0B50A1 0%, #EA0A81 53.58%, #007EC6 98%) padding-box,
                linear-gradient(270deg, #0B50A1 0%, #EA0A81 53.58%, #007EC6 98%) border-box;

    border: solid 2px transparent;
    border-radius: 17px 17px 0px 0px;
    color: white;
    transition: all .2s ease-in-out;
}

.lanjut-test:hover{
    scale: 1.02;
    color: white;
}

.mulai-test{
    background: linear-gradient(270deg, #EA0A81 0%, #0B50A1 53.58%, #007EC6 98%) padding-box,
                linear-gradient(270deg, #EA0A81 0%, #0B50A1 53.58%, #007EC6 98%) border-box;

    border: solid 2px transparent;
    border-radius: 17px 17px 0px 0px;
    color: white;
    transition: all .2s ease-in-out;
}

.mulai-test:hover{
    scale: 1.02;
    color: white;
}

.page_number{
    padding: 0px !important;
}

.btn-page-number,.btn-page-number-active,.btn-page-number-selected{
    border-radius: 5px;
    background: #EEEEEE;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 3px;
    border: transparent;
}

.btn-page-number-wrong, .btn-page-number-correct, .btn-page-number-select{
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 3px;
    border: transparent;
}

.btn-page-number-wrong{
    background: #9B4141;
    color: white;
}
.btn-page-number-correct{
    background: #26C000;
    color: white;
}
.btn-page-number-select{
    background: #007EC6;
    color: white;
}
.btn-page-number-wrong:hover{
    background-color: #9B414180;
    color: white;
}
.btn-page-number-correct:hover{
    background-color: #26C00080;
    color: white;
}
.btn-page-number-select:hover{
    background-color: #007EC680;
    color: white;
}

.btn-page-number:hover{
    background-color: var(--text20);

}
.btn-page-number-active:hover{
    background-color: var(--text60);

}
.btn-page-number-selected:hover{
    background-color: #007EC680;

}
.btn-page-number-active{
    background: #36373C;
    color: white;
}
.btn-page-number-selected{
    background: var(--primary7);
    color: white;
}

.btn-pagination-next, .btn-pagination-prev{
    border-radius: 25px;
    padding: 10px;
    color: var(--text80);
}

.btn-pagination-next{
    background-color: var(--text20);
}
.btn-pagination-prev{
    background-color: var(--text20);
}

.scroll-hide{
    margin: 5px;
    overflow-y: auto;
    height : 44vh !important;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(40px, 1fr));

}
@media (max-width: 568px) {
    .scroll-hide{
        grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
    }
}

.scroll-hide::-webkit-scrollbar {
    display: none;
}
.scroll-hide {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.card-start-test{
    padding: 2rem;
    max-width: 600px;
}
.text-small{
    font-size: 1rem;
}
.text-mid{
    font-size: 1.8rem;
}

.text-big{
    font-size: 2.5rem;
    font-weight: 700;
}

.option-kecermatan{
    font-size: 90px ; font-weight: 700;
}
.mobile-card-kecermatan{
    min-height: 60vh;
    min-width: 100%;
}
.section-question-kecermatan{
    display: flex;
}
.card-question-kecermatan{
    width: 300px;
}
.question-kecermatan{
    font-size: 4rem;

}

.card-answer-kecermatan{
    display: flex;
    justify-content: start;
}

.card-pagination-mobile{
    display: none;
}

.text-question{
    font-size: 1rem;
}

.text-answer{
    font-size: 0.9rem;
}

.btn-option-setting{
    border-radius: 50% !important;
    width:35px;
    height:35px;
    align-items: center;
    font-size:1rem;
    padding: 0px !important;
    display: flex;
    justify-content: center;
    flex-shrink: 0;

}


.img-answer{
    width: 100%;
    height: 150px;
}


@media (max-width: 568px) {
    .card-start-test{
        padding: 1rem;
    }
    .text-small{
        font-size: 0.7rem;
    }
    .text-mid{
        font-size: 1rem;
    }
    .card-test-mobile{
        min-height: 400px;
    }

    .text-big{
        font-size: 1.5rem;
    }
    .button-card-price{
        font-size: 0.7rem;
    }
    .option-kecermatan{
        font-size:50px ; font-weight: 700;
    }
    .mobile{
        display:none !important;
    }
    .mobile-card-kecermatan{
        min-height: 1vh;
    }
    .section-question-kecermatan{
        display: block;
    }
    .card-question{
        padding-left: 0px ;
        padding-right:0px ;

    }
    .card-question-kecermatan{
        width: 100%;
    }
    .question-kecermatan{
        font-size: 3rem;

    }

    .pembahasan-title{
        margin-bottom: 0.3rem;
        font-size: 1rem;
    
    }
    .card-answer-kecermatan{
        display: flex;
        justify-content: center;
    }
    .choice-text {
        font-size: 25px;
        height: 50px;
        width: 50px;
        margin-bottom: 0;
    }

    .card-pagination-mobile{
        display: block;
    }

    .btn-page-mobile{
        background-color: var(--primary7);
    }
    .btn-page-mobile:hover{
        background-color: #007EC680;
    }

    .scroll-hide{
        overflow-y: scroll;
        scrollbar-width: thin;
        height: 20vh !important;
    }
    .scroll-hide::-webkit-scrollbar {
        width: 8px; /* Lebar scrollbar untuk WebKit browsers */
    }

    .scroll-hide::-webkit-scrollbar-thumb {
        background-color: #888; /* Warna scrollbar */
        border-radius: 4px;
    }

    .scroll-hide::-webkit-scrollbar-track {
        background-color: #f1f1f1; /* Warna track scrollbar */
    }

    .img-mobile{
        min-width: 300px ;
    }

    .text-question{
        font-size: 0.8rem;
    }
    .text-answer{
        font-size: 0.7rem;
        word-wrap: break-word;
    }
    .btn-option-setting{
        border-radius: 50% !important;
        width:30px;
        height:30px;
        align-items: center;
        font-size: 0.9rem;
        padding: 0px !important;
        display: flex;
        justify-content: center;
        flex-shrink: 0; /* Agar tombol tidak mengecil ketika teks panjang */
    }
    .img-answer{
        width: 100%;
        height: 100px;
    }
}
